{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}
{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="styles/login.css">
{% endblock %}
{% block body %}
<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}
      {% for message in app.flashes('notice') %}
                <div class="flash-notice">
                    {{ message }}
                </div>
                {% endfor %}
    <div class="login__container">
        
        <h1 class="login__title">Sign in</h1>
        <div class="login__options">
            <label class="login__label" for="inputUsername">Username</label>
            <input class="login__input" type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" required autofocus>
        </div>
        <div class="login__options">
            <label class="login__label" for="inputPassword">Password</label>
            <input class="login__input" type="password" name="password" id="inputPassword" class="form-control" required>
        </div>
        <input class="login__input" type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
        <div class="login__submit">
            <button class="login__button" type="submit">Sign up</button>
            <a class="login__back" href="{{path('registerForm')}}"class="register__button">Register</a>
        </div>
    </form>
{% endblock %}